2017-10-22 00:13 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002720OpenFOAM[All Projects] Bugpublic2017-10-13 14:39
ReporterShorty 
Assigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Versiondev 
Target VersionFixed in Version5.x 
Summary0002720: chtMultiRegionSimpleFoam - converged time step will not be saved
DescriptionHi Henry,

the steady-state cht solver does not save the converged time-step. The last line in the file chtMultiRegionSimpleFoam/checkResidualControls.H:

=========================================================================

else if (runTime.run() && resControlUsed && allRegionsConverged)
{
    Info<< "\nRegions converged after " << runTime.timeName()
        << " iterations" << endl;

    // Leave SIMPLE loop
    break;
}

=========================================================================

has to be modified (last line):

=========================================================================

lse if (runTime.run() && resControlUsed && allRegionsConverged)
{
    Info<< "\nRegions converged after " << runTime.timeName()
        << " iterations" << endl;
                                                                                
    // Save converged time step and end the run
    runTime.writeAndEnd();
}

=========================================================================


Tobi
TagschtMultiRegionSimpleFoam
Attached Files

-Relationships
+Relationships

-Notes

~0008867

henry (manager)

Same for applications/solvers/heatTransfer/chtMultiRegionFoam/checkResidualControls.H?

~0008869

Shorty (reporter)

Hi Henry,

No, because we do leave the PIMPLE loop here without stopping the simulation. In the steady-state solver we leave the whole loop and stop the simulation. Thats why we have to save the last (converged) stage explicitly.

Again. This is not required in the transient one. Here the runTime.write() takes care to save the user specified time steps.

~0008871

henry (manager)

Thanks Tobi.

Resolved in OpenFOAM-5.x by commit 65e6081e233698126ae8c5bf631c6df358c63b14

Resolved in OpenFOAM-dev by commit 50bedbb217fbc4c7a278838f53615e5136e0e5bd
+Notes

-Issue History
Date Modified Username Field Change
2017-10-10 22:52 Shorty New Issue
2017-10-10 22:52 Shorty Tag Attached: chtMultiRegionSimpleFoam
2017-10-13 14:05 henry Note Added: 0008867
2017-10-13 14:26 Shorty Note Added: 0008869
2017-10-13 14:39 henry Assigned To => henry
2017-10-13 14:39 henry Status new => resolved
2017-10-13 14:39 henry Resolution open => fixed
2017-10-13 14:39 henry Fixed in Version => 5.x
2017-10-13 14:39 henry Note Added: 0008871
+Issue History